[解決済み] Warning: array_merge

ホーム フォーラム バグ報告 [解決済み] Warning: array_merge

このトピックには2件の返信が含まれ、2人の参加者がいます。8 年、 3 ヶ月前 yosaku さんが最後の更新を行いました。

3件の投稿を表示中 - 1 - 3件目 (全3件中)
  • 投稿者
    投稿
  • #49709

    yosaku
    参加者

    wordpress 2.9.2

    Welcart 0.4.4

    コアサーバー

    管理画面のWelcart Shopのホームで下記のエラーリポートが出ます。

    Warning: array_merge() [function.array-merge]: Argument #1 is not an array in /aaaaa/wp-content/plugins/usc-e-shop/includes/admin_top.php on line 9

    Warning: array_merge() [function.array-merge]: Argument #2 is not an array in /aaaaa/wp-content/plugins/usc-e-shop/includes/admin_top.php on line 9

    エラーが出る前に行った作業はワードプレスを最新バージョンにバージョンアップしたのとWelcartを最新のものにしました。

    それ以外は特に行っておりません。

    よろしくお願いします。

    #59422

    nanbu
    参加者

    現在、お知らせのfeed を停止しているために出ているものだと思います。こちらの開発環境ではWarning は出ていないのですが、phpのバージョンの問題でしょうか。

    お知らせの仕様を変更しようと思っています。まだ固まっていませんので次のバージョンまでに改修できるかどうかわからないのですが、とりあえずarray_merge 関数の前に@ を挿入してやるとWarning はとまると思います。

    usc-e-shop/includes/admin_top.php 9行目

    $items = array_merge(*** → $items = @array_merge(***

    よろしくお願いします。

    #59423

    yosaku
    参加者

    了解しました。

3件の投稿を表示中 - 1 - 3件目 (全3件中)

このトピックに返信するにはログインが必要です。